library ieee,std;
use ieee.std_logic_1164.all;

entity chkpar10 is
    port(
        din : in std_logic_vector(7 downto 0);
        d0   : in std_logic;
        d1   : in std_logic;
        pout : out std_logic
        );
end chkpar10;

ARCHITECTURE rtl OF chkpar10 IS
begin
    process(din)
        variable p1, p2, p3 : std_logic;
    begin
        p1 := din(0) xor  din(1) xor  din(2) xor  din(3);
        p2 := din(4) xor  din(5) xor  din(6) xor  din(7);
        p3 := d0 xor  d1 ;
        pout<=  (p1 xor p2 xor p3);
    end process;
END rtl;

